org.apache.poi.hssf.usermodel

## Class HSSFDateUtil

- java.lang.Object
- - org.apache.poi.ss.usermodel.DateUtil
  - - org.apache.poi.hssf.usermodel.HSSFDateUtil

- Deprecated.
  Use `DateUtil` instead

      @Deprecated
      public final class HSSFDateUtil
      extends DateUtil

  Contains methods for dealing with Excel dates.

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.usermodel.DateUtil

      `DAY_MILLISECONDS, HOURS_PER_DAY, MINUTES_PER_HOUR, SECONDS_PER_DAY, SECONDS_PER_MINUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HSSFDateUtil()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static int` | `absoluteDay(java.util.Calendar cal, boolean use1904windowing)` Deprecated.

    - ### Methods inherited from class org.apache.poi.ss.usermodel.DateUtil

      `absoluteDay, convertTime, getExcelDate, getExcelDate, getExcelDate, getExcelDate, getExcelDate, getExcelDate, getExcelDate, getJavaCalendar, getJavaCalendar, getJavaCalendar, getJavaCalendar, getJavaCalendarUTC, getJavaDate, getJavaDate, getJavaDate, getJavaDate, getJavaDate, getLocalDateTime, getLocalDateTime, getLocalDateTime, isADateFormat, isADateFormat, isCellDateFormatted, isCellDateFormatted, isCellInternalDateFormatted, isInternalDateFormat, isValidExcelDate, parseDateTime, parseYYYYMMDDDate, setCalendar, toLocalDateTime, toLocalDateTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HSSFDateUtil

          public HSSFDateUtil()

      Deprecated.

  - ### Method Detail

    - #### absoluteDay

          protected static int absoluteDay(java.util.Calendar cal,
                                           boolean use1904windowing)

      Deprecated.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.